Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.crypto.fips.provider
Class IBMJCEFIPS

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--java.util.Properties
                        |
                        +--java.security.Provider
                              |
                              +--com.ibm.crypto.fips.provider.IBMJCEFIPS

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, ModuleStatus, java.io.Serializable

public final class IBMJCEFIPS
extends java.security.Provider
implements ModuleStatus

Defines the "IBMJCEFIPS" provider. Supported algorithms and their names: - AES (ECB, CBC, CFB, OFB, PCBC) - DES (ECB, CBC, CFB, OFB, PCBC) - DES-EDE (ECB, CBC, CFB, OFB, PCBC) - SHA - RSA - Diffie-Hellman Key Agreement - HmacSHA1 - SHA1withRSA - SHA1withDSA - PKCS5Padding

See Also:
  Serialized Form

Inner classes inherited from class java.util.Map
`java.util.Map.Entry`

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`IBMJCEFIPS()`

Method Summary
`int` | `getFipsLevel()` Method returns the cryptographic modules FIPS 140-2 certification level
`java.lang.Object` | `getSelfTest()` Method returns a SelfTest object that can be used to
`boolean` | `isFipsCertified()` Method identifies if the cryptographic module is FIPS 140-2 certified
`java.util.Enumeration` | `propertyNames()`

Methods inherited from class java.security.Provider
`clear, entrySet, getInfo, getName, getVersion, keySet, load, put, putAll, remove, toString, values`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, save, setProperty, store`

Methods inherited from class java.util.Hashtable
`clone, contains, containsKey, containsValue, elements, equals, get, hashCode, isEmpty, keys, rehash, size`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IBMJCEFIPS

    public IBMJCEFIPS()

Method Detail

### propertyNames

    public java.util.Enumeration propertyNames()

  Overrides:
    `propertyNames` in class `java.util.Properties`

### isFipsCertified

    public boolean isFipsCertified()

  Method identifies if the cryptographic module is FIPS 140-2 certified
  Specified by:
    `isFipsCertified` in interface `ModuleStatus`

### getFipsLevel

    public int getFipsLevel()

  Method returns the cryptographic modules FIPS 140-2 certification level
  Specified by:
    `getFipsLevel` in interface `ModuleStatus`

### getSelfTest

    public java.lang.Object getSelfTest()

  Method returns a SelfTest object that can be used to
  Specified by:
    `getSelfTest` in interface `ModuleStatus`
  See Also:
    `SelfTest`

Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD